<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Result")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />


<%self:box title="${_('Single Finding Details - General')}">
 <table>
  <tr>
    <td>${_(u"URL")}</td>
    <td>${c.result.url}</td>
  </tr>
  <tr>
    <td>${_(u"Time")}</td>
    <td>
    <%
      from time import ctime
      context.write(c.result.date.strftime(_("%d.%m.%Y - %H:%M:%S")))
    %>
    </td>
  </tr>
  <tr>
    <td>${_(u"HoneyClient")}</td>
    <td>
      ${hc_icon(c.hc)}
      ${c.hc.name}
      ${hcsid_link_to_hcsid(c.hc.hcsid)}
    </td>
  </tr>
  <tr>
    <td>${_(u"Type")}</td>
    <td>${c.result.result_type.type_name}</td>
  </tr>
  <tr>
    <td>${_(u"Severity")}</td>
    <td style="background-color:${h.resultcolor(c.result)}">${c.result.result_type.severity}</td>
  </tr>
  <tr>
    <td>${_(u"Method")}</td>
    <td>${c.result.method}</td>
  </tr>
  %if c.visit.outgoing_ip:
  <tr>
    <td>${_(u"Outgoing IP")}</td>
    <td>${c.visit.outgoing_ip}</td>
  </tr>
  %endif
 </table>
</%self:box>

<%self:box title="${_(u'Result Details - General')}">
 %if c.result.text:
  ${c.result.text}
 %else:
  ${_(u"No further information.")}
 %endif
 %if c.result.ip:
  <h3>${_(u"IP")}</h3>
  ${c.result.ip}
 %endif
 %if c.result.iframe:
  <h3>${_(u"iFrame")}</h3>
  ${c.result.iframe}
 %endif
 %if c.result.result_file:
  <h3>${_(u"File")}</h3>
  <table>
    <tr>
        <td>${_("Filetype:")}</td>
        <td>${c.result.result_file.filetype}</td>
    </tr>
    <tr>
        <td>${_("MIME-Type:")}</td>
        <td>${c.result.result_file.mimetype}</td>
    </tr>
    <tr>
        <td>${_(u"SHA1:")}</td>
        <td>${c.result.result_file.sha1sum}</td>
    </tr>
    <tr>
        <td>${_(u"SSDEEP:")}</td>
        <td>${c.result.result_file.ssdeep}</td>
    </tr>
    <tr>
        <td>${_(u"Extract Name:")}</td>
        <td> ${c.result.result_file.filepath.rsplit("/",1)[1]} </td>
    </tr>
  </table>
 ${h.link_to(_(u"See all findings for this file"),
    h.url_for(controller='result',action='by_file', id=c.result.result_file.id)) }
 %endif
</%self:box>

<%self:box title="${_(u'Actions')}">
<ul>
    <li>
        ${h.link_to(_(u"See All Findings of this Visit"),
            h.url_for(controller='result',action='view_visit',
            id=c.result.visit.id)) }
    </li>
    %if c.result.visit.filepath:
        <li>
         ${h.link_to(_(u"Download PCAP"),
             h.url_for(controller='result',action='send_dump',
             id=c.result.visit.id))}
        </li>
        <li>
            ${h.link_to(_(u"Download Tarball"),
                h.url_for(controller='result',action='send_tarball',
                id=c.result.visit.id))}
        </li>
    %endif
</ul>
</%self:box>
