<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Visit")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />
<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title="${_('Visit Summary')}">
 <table>
  <tr>
   %if len(c.visit.urls) > 1:
    <td>${_(u"URLs visited")}:</td>
    <td>
       %if len(c.visit.urls):
        ${", ".join([url.url for url in c.visit.urls])}
       %else:
        ${_("n/a (error)")}
       %endif
       %if c.sc.visitor_configuration.num_urls > 1:
         <br>${_(u"(Fast Mode!)")}</br>
       %endif
    </td>
   %else:
    <td>${_(u"URL")}:</td>
    <td>
       %if len(c.visit.urls):
        ${c.visit.urls[0].url}
       %else:
        ${_("n/a (error)")}
       %endif
    </td>
   %endif
  </tr>
  <tr>
    <td>${_(u"Time")}:</td>
    <td>${c.firstDate}</td>
  </tr>
  <tr>
    <td>${_(u"HoneyClient")}:</td>
    <td>
      %if not c.hc:
          ${c.visit.hcsid}
      %else:
          ${hc_icon(c.hc)}
          ${c.hc.name}
          ${hcsid_link_to_hcsid(c.hc.hcsid)}
      %endif
    </td>
  </tr>
  <tr><td>${_(u"Types Found")}:</td>
      <td>
         ${", ".join([rtype.type_name for rtype in c.types_found])}
        </td></tr>
  <tr>
    <td>${_(u"Highest Severity")}:</td>
    <td style="background-color:${h.severitycolor(c.highest_severity)}">${c.highest_severity}</td>
  </tr>
 </table>
</%self:box>

<%self:box title="${_('Visit Details')}">
 <h3>${_(u"Configuration")}</h3>
 <table>
  <tr><td>${_(u"Name")}:</td>
    <td>${h.link_to(c.sc.name, h.url_for(controller='scan',action='view',id=c.sc.id))},
        ${_(u"started on")} ${h.link_to(c.visit.scan_run.starttime, h.url_for(controller='result',action='by_scanrun',id=c.visit.scan_run.id))}</td>
  </tr>
  <tr>
    <td>${_(u"Node")}:</td>
    <td>${name_link_to_node(c.visit.node)}</td>
  </tr>
  <tr>
    <td>${_(u"Active Window")}:</td>
    <td>${c.sc.visitor_configuration.active_window} ${_(u"sec.")}</td>
  </tr>
  <tr>
    <td>${_(u"Fast Mode")}:</td>
    <td>
      %if c.sc.visitor_configuration.num_urls > 1:
          ${_(u"Yes, with %d pages") % c.sc.visitor_configuration.num_urls}
      %else:
          ${_(u"No")}
      %endif
    </td>
  </tr>
 </table>

 <h3>${_(u"Findings")}</h3>
  <table class="mw_table" style="width:100%">
    <tr>
     <th>${_(u"Type")}</th>
     <th>${_(u"URL")}</th>
     <th>${_(u"Time")}</th>
     <th>${_(u"Severity")}</th>
    </tr>
    <%util:ifpaginate paginator="${c.result_paginator}">
     %for result in c.result_paginator:
     <tr>
        <td>${h.result_type_to_localized_name(result.result_type)}</td>
        <td>
            ${h.link_to(result.url, h.url_for(controller='result',
                                              action='view_result',
                                              id=result.id))}
        </td>
        <td>${result.date.strftime(_("%c"))}</td>
        <td style="background-color:${h.resultcolor(result)}">
            ${result.result_type.severity}
        </td>
    </tr>
   %endfor
   <%def name="empty()">
    <tr>
     <td>${_(u"No Findings")}</td>
     <td></td>
     <td></td>
     <td></td>
     <td></td>
    </tr>
   </%def>
   </%util:ifpaginate>
 </table>
</%self:box>

<%self:box title="${_(u'Actions')}">
 %if c.visit.filepath:
 <ul>
     <li>${h.link_to(_(u"Download PCAP"),
        h.url_for(controller='result',action='send_dump', id=c.visit.id)) }</li>
     <li> ${h.link_to(_(u"Download Tarball"),
         h.url_for(controller='result',action='send_tarball',id=c.visit.id))}</li>
 </ul>
 %endif
</%self:box>
